RNDCTL(8)

NAME
rndctl - in-kernel random number generator management tool

SYNOPSIS
rndctl -CEce [-t devtype] [-d devname]
-l [-t devtype] [-d devname]

DESCRIPTION
The rndctl program manages which devices timing information is to be collected by, and alters the estimation of entropy of sources.

OPTIONS
The following options are available:

-C  Disable collection of timing information for the given device name or device type.

-c  Enable collection of timing information for the given device name of device type.

-E  Disable entropy estimation from the collected timing information for the given device name or device type. The timing information is still collected and mixed into the internal entropy pool, but no entropy is assumed to be present.

-e  Enable entropy estimation using the collected timing information for the given device name or device type.

-l  List all sources, or only those specified by the devtype or devname specified.

-t  All devices of type devtype are altered or displayed.

-d  Only the device named devname is altered or displayed.

WARNINGS
Turning on entropy collection from unsafe sources can weaken system security. Care should be taken when using this command.

HISTORY
The rndctl program was first made available in NetBSD 1.3.

AUTHOR
The rndctl program was written by Michael Graff <explorer@flame.org>.

SEE ALSO
rnd(4), rnd(9)